Bug 1908881 - Xwayland as a standalone package
Summary: Xwayland as a standalone package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Fourdan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2020-12-17 19:15 UTC by Ben Cotton
Modified: 2021-04-27 14:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-27 14:30:56 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-12-17 19:15:06 UTC
This is a tracking bug for Change: Xwayland as a standalone package
For more details, see: https://fedoraproject.org/wiki/Changes/XwaylandStandalone

Move Xwayland to a standalone package built from current code upstream rather than the stable branch.

Comment 1 Olivier Fourdan 2021-02-01 14:21:15 UTC
- New package reviewed: https://bugzilla.redhat.com/show_bug.cgi?id=1912335
- New package repo created: https://pagure.io/releng/fedora-scm-requests/issue/31918
- New standalone pakcage xorg-x11-server-Xwayland built: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b5ce774702
- Xwayland removed from regular xserver builds: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5252bc30f4
- mutter built against the new standalone Xwayland package: https://src.fedoraproject.org/rpms/mutter/pull-request/22

→ Moving to modified.

Comment 2 Olivier Fourdan 2021-02-01 15:08:18 UTC
Standalone Xwayland package depencency added to gnome-session: https://src.fedoraproject.org/rpms/gnome-session/pull-request/6

Comment 3 Ben Cotton 2021-02-16 15:51:58 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 5 Ben Cotton 2021-04-27 14:30:56 UTC
Closing Changes Tracking bugs for the Fedora Linux 34 release. If your change did not make it into the release, please reopen and needinfo bcotton.


Note You need to log in before you can comment on or make changes to this bug.